Subject: Re: bug#2057: 23.0.60; delete key and deletechar

From: Robert Brown <[email-masked]>
Date: Thu, 16 Apr 2009 14:54:36 -0400

Stefan Monnier writes:
 > > My termcap entry, xterm-color, contains "kD=\177", which means that the
 > > delete *function* key generates code 177.
 > 
 > Why does the termcap data have such an entry for kD?  That looks like a bug.
 > Does it also have a similar entry for the backspace key?

It's definitely a bug in the termcap entry.  The odd thing is what happened
afterward.  Emacs created an input mapping that converts 177 into
deletechar, messing up the action of the normal delete/backspace key.

There's an assumption that function keys never generate a single character
that's the same as some normal key.  Or alternatively, function keys take
precedence over normal keys if there's any overlap in generated codes.

bob